- Home
- API Enriched
- Tenant And Identity
- web
- Create customer support ticket in child tenant.
Create customer support ticket in child tenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/customer_supports';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"category":"example","comments":[{"attachment_ids":["example"],"attachments_info":[{"attachment":"example","content_type":"example","filename":"example","tp_id":"example"}],"author_email":"example","author_name":"example","created_at":"2026-04-15T12:00:00Z","html":"example","plain_text":"example","comment_id":"example"}],"description":"example","ongoing":true,"priority":"PRIORITY_UNKNOWN","product_data":"example","relates_to":[{"name":"example","namespace":"example"}],"service":"SS_UNKNOWN","status":"STATUS_UNKNOWN","subject":"example","timeline":"example","topic":"TOPIC_UNKNOWN","tp_id":"example","type":"TYPE_UNKNOWN"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/customer_supports \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "category": "example", "comments": [ { "attachment_ids": [ "example" ], "attachments_info": [ { "attachment": "example", "content_type": "example", "filename": "example", "tp_id": "example" } ], "author_email": "example", "author_name": "example", "created_at": "2026-04-15T12:00:00Z", "html": "example", "plain_text": "example", "comment_id": "example" } ], "description": "example", "ongoing": true, "priority": "PRIORITY_UNKNOWN", "product_data": "example", "relates_to": [ { "name": "example", "namespace": "example" } ], "service": "SS_UNKNOWN", "status": "STATUS_UNKNOWN", "subject": "example", "timeline": "example", "topic": "TOPIC_UNKNOWN", "tp_id": "example", "type": "TYPE_UNKNOWN" } }'Creates a new customer support ticket in our customer support provider system.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Create’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
Ticket area further narrows down the ticket - infrastructure, application, dashboards can be examples.
Comments are all public comments on an issue. They’RE usually conversation between the support personnel and the customer.
Comment represents a single comment on an issue. It contains information like name of the person commenting, timestamp and the comment itself. Customers usually download all comments on an issue which resembles a conversation on an issue.
object
Third party ID of any attachment related to this ticket comment.
Information about any attachments (such as screenshots, plain text files) the comment can have.
Attachment represents a single support ticket comment attachment. Attachment are normally not store with the ticket itself, they represent a handle in the third party, so the contact can be retrieved omn demand.
object
Any binary attachment (such as screenshots, plain text files, PDFs) encoded as base64 if used over HTTP.
Mime content type of the attachment. Helps the UI to properly display the data.
Filename of the attachment as provided by the caller.
Optional ID as assigned by the 3rd party actually storing the data.
Email of the author of the comment.
Author of the comment (as a name)
Comment creation time.
Comment body as HTML.
Comment body as plain text.
ID assigned to this comment by support provider.
Customer’s description of the issue (free text)
Ongoing is a flag that indicates whether the issue is ongoing or not.
Product data is a free text field that can be used to describe the issue in more detail.
Optional reference to any original ticket in case the ticket being created is a followup.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Subject of the ticket.
Timeline is a free text field that can be used to describe the issue in more detail.
ID assigned to this ticket by our support provider.
Responses
Section titled “Responses”A successful response.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
Author of the comment (as a name)
Ticket area further narrows down the ticket - infrastructure, application, dashboards can be examples.
Comments are all public comments on an issue. They’RE usually conversation between the support personnel and the customer.
Comment represents a single comment on an issue. It contains information like name of the person commenting, timestamp and the comment itself. Customers usually download all comments on an issue which resembles a conversation on an issue.
object
Third party ID of any attachment related to this ticket comment.
Information about any attachments (such as screenshots, plain text files) the comment can have.
Attachment represents a single support ticket comment attachment. Attachment are normally not store with the ticket itself, they represent a handle in the third party, so the contact can be retrieved omn demand.
object
Any binary attachment (such as screenshots, plain text files, PDFs) encoded as base64 if used over HTTP.
Mime content type of the attachment. Helps the UI to properly display the data.
Filename of the attachment as provided by the caller.
Optional ID as assigned by the 3rd party actually storing the data.
Email of the author of the comment.
Author of the comment (as a name)
Comment creation time.
Comment body as HTML.
Comment body as plain text.
ID assigned to this comment by support provider.
Created at timestamp.
Any custom fields (read only). Custom fields have to be defined first before they’RE used. Custom fields have no direct impact on the issue but help to better categorize issues.
Customer’s description of the issue (free text)
Indicates escalated ticket - i.e. A ticket its priority has been increased to PRIORITY_URGENT and L1 support has been notified of it. Only existing enterprise customer tickets with priority other then PRIORITY_URGENT can be escalated.
Optional reference to followup tickets. It only applies to closed tickets and points to any ticket that is open as a followup to this closed ticket. Used in situations when the original ticket has been closed but the issue occurred again or a new problem occurred in relation to this closed ticket.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Ongoing is a flag that indicates whether the issue is ongoing or not.
Product data is a free text field that can be used to describe the issue in more detail.
Optional reference to any original ticket in case the ticket being created is a followup.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Subject of the ticket.
Tags help to further categorize issues (read-only field)
Timeline is a free text field that can be used to describe the issue in more detail.
ID assigned to this ticket by our support provider.
Date of the last modification.
Logged in user (read-only)
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Via describes the way of a ticket reaching us (read-only)
object
object
CreationTimestamp is a timestamp representing the server time when this object was created. It is not guaranteed to be set in happens-before order across separate operations. Clients may not set this value. It is represented in RFC3339 form and is in UTC.
A value identifying the class of the user or service which created this configuration object.
A value identifying the exact user or service that created this configuration object.
DeletionTimestamp is RFC 3339 date and time at which this resource will be deleted. This field is set by the server when a graceful deletion is requested by the user, and is not directly settable by a client. The resource is expected to be deleted (no longer visible from resource lists, and not reachable by name) after the time in this field, once the finalizers list is empty. As long as the finalizers list contains items, deletion is blocked. Once the deletionTimestamp is set, this value may not be unset or be set further into the future, although it may be shortened or the resource may be deleted prior to this time. For example, a user may request that a pod is deleted in 30 seconds. The Kubelet will react by sending a graceful termination signal to the containers in the pod. After that 30 seconds, the Kubelet will send a hard termination signal (SIGKILL) to the container and after cleanup, remove the pod from the API. In the presence of network partitions, this object may still exist after this timestamp, until an administrator or automated process can determine the resource is fully terminated. If not set, graceful deletion of the object has not been requested.
Populated by the system when a graceful deletion is requested. Read-only.
Must be empty before the object is deleted from the registry. Each entry is an identifier for the responsible component that will remove the entry from the list. If the deletionTimestamp of the object is non-nil, entries in this list can only be removed.
object
Pending is a list of initializers that must execute in order before this object is initialized. When the last pending initializer is removed, and no failing result is set, the initializers struct will be set to nil and the object is considered as initialized and visible to all clients.
Initializer is information about an initializer that has not yet completed.
object
Name of the service that is responsible for initializing this object.
object
Suggested HTTP return code for this status, 0 if not set.
A human-readable description of why this operation is in the “Failure” status. If this value is empty there is no information available.
Status of the operation. One of: “Success” or “Failure”.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the operator or software. Values here can be interpreted by software(backend or frontend) to enable certain behavior e.g. Things marked as soft-deleted(restorable).
object
ModificationTimestamp is a timestamp representing the server time when this object was last modified.
Unique index for the object. Some objects need a unique integer index to be allocated for each object type. This field will be populated for all objects that need it and will be zero otherwise.
object
Kind of the view object.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
UID of the view object.
Tenant to which this configuration object belongs to. The value for this is found from presented credentials.
Uid is the unique in time and space value for this object. It is generated by the server on successful creation of an object and is not allowed to change on Replace API. The value of is taken from uid field of ObjectMetaType, if provided.
Example
{ "spec": { "priority": "PRIORITY_UNKNOWN", "service": "SS_UNKNOWN", "status": "STATUS_UNKNOWN", "topic": "TOPIC_UNKNOWN", "type": "TYPE_UNKNOWN" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example